#!/bin/bash
vcfdist="/home/timdunn/vcfdist/src/vcfdist"
rtg="/home/timdunn/software/rtg-tools-3.12.1/rtg"
tabix="/home/timdunn/software/htslib-1.16/tabix"
bgzip="/home/timdunn/software/htslib-1.16/bgzip"
timer="/usr/bin/time"

# define reference FASTA
ref_name="reference.fasta"

types=(
    "del"
    "del"
    "del"
    "del"
    "del"
    "del"
    "ins"
    "ins"
    "ins"
    "ins"
    "ins"
    "ins"
    "sub"
    "sub"
    "sub"
    "sub"
)
ids=(
    "1"
    "2"
    "3"
    "4"
    "5"
    "6"
    "1"
    "2"
    "3"
    "4"
    "5"
    "6"
    "1"
    "2"
    "3"
    "4"
)

# $rtg format -o ${ref_name}.sdf $ref_name

for i in "${!types[@]}"; do

    # # vcfdist evaluation
    # echo "vcfdist: evaluating '${types[i]}${ids[i]}'"
    # mkdir -p ./vcfdist
    # $timer -v $vcfdist \
    #     ${types[i]}${ids[i]}.vcf.gz \
    #     ${types[i]}${ids[i]}.vcf.gz \
    #     $ref_name \
    #     --bed middle.bed \
    #     -l 1000 \
    #     -p ./vcfdist/${types[i]}${ids[i]}. \
    #     2> ./vcfdist/${types[i]}${ids[i]}.log

    # # vcfeval evaluation
    # echo "vcfeval: evaluating '${types[i]}${ids[i]}'"
    # mkdir -p ./vcfeval
    # rm -rf ./vcfeval/${types[i]}${ids[i]}
    # $timer -v $rtg vcfeval \
    #     -b ${types[i]}${ids[i]}.vcf.gz \
    #     -c ${types[i]}${ids[i]}.vcf.gz \
    #     -e middle.bed \
    #     -t ${ref_name}.sdf \
    #     --ref-overlap \
    #     --vcf-score-field=QUAL \
    #     -o ./vcfeval/${types[i]}${ids[i]} \
    #     2> ./vcfeval/${types[i]}${ids[i]}.log
    # gunzip ./vcfeval/${types[i]}${ids[i]}/*.vcf.gz

    # truvari evaluation
    source ~/software/Truvari-4.1.0/venv3.10/bin/activate
    echo "truvari: evaluating '${types[i]}${ids[i]}'"
    mkdir -p ./truvari
    rm -rf ./truvari/${types[i]}${ids[i]}
    $timer -v truvari bench \
        -b ${types[i]}${ids[i]}.vcf.gz \
        -c ${types[i]}${ids[i]}.vcf.gz \
        -f $ref_name \
        --bSample HG002 \
        --cSample HG002 \
        --includebed middleminus1.bed \
        --no-ref a \
        --sizemin 1 --sizefilt 1 --sizemax 1000 \
        --pick single \
        --typeignore \
        --dup-to-ins \
        -o ./truvari/${types[i]}${ids[i]} \
        2> ./truvari/${types[i]}${ids[i]}.log
    deactivate

done
